

body {
 
    background: white!important;
    
}
.nv{
    margin-top: 0px;
    
}
#add-subcategory {
    min-height: 400px;
}
.custom-bg {
    background: purple!important;
}
.admin .card{
    border: 1px solid red;
    max-height: 250px;
    
    }
    
    .card-text {
        max-height: 20px;
        overflow:hidden;
    }
    
    
.admin .card:hover{
    background: greenyellow;
    }

.list-group-item.active {
      background: purple!important;  
     
    }
.list-group-item:hover {
        background: greenyellow;
        
    }
.discount-label{
        font-style: italic!important;
        font-size: 15px!important;
        text-decoration: line-through!important;
                
    }
    
    
    .product-card:hover {
        background:yellow;
        cursor: pointer;
    }
    .container-photo {
        position: fixed;
    }
    #photo{
        background-color: white;
    }
    #specs{
        background-color: whitesmoke;
    }
    #photo {
        text-align: center;
    }
    #footer-sidebar{
        color:#fff;
        background: #34495e;
        padding: 20px 0;
        margin-top:  20px;
        
    }
    .footer-widget h4:after{
        content:"";
        background: #fff;
        display:block;
        width: 50px;
        height: 2px;
        margin: 5px 0;
        
    }
    .footer-widget a{
        color: #fff;
        
    }
    .Latest-news{
        list-style: none;
        padding: 0;
        margin:0;
    }
    .Latest-news li{
        
        margin-bottom: 3px;
    }
    .Latest-news li:before{
        content:"\f101";
        font-family: fontAwesome;
        padding-right: 5px;
        
    }
    
    
    #footer{
        color: #fff;
        background: #2c3e50;
        padding: 10px 0;
    }
    #social-icons {
        list-style: none;
        color: #fff;
        margin: 0;
        padding: 0;
    }
    #social-icons li{
        display:inline-block;
        padding-left: 5px;
        
    }
    #social-icons a{
        
        color: #fff;
        font-size: 23px;
    }
    #icon a{
        display:inline;
    }
 

.tt{
    margin-top: 40px;
    min-height: 100vh;
    
    display: flex ;
    justify-content: center;
    align-items: center;
}

table, th, td{
    border-collapse: collapse;
    padding: 1rem;
    
    
}
main.table{
    width: 100vw;
    height: 85vh;
    background-color: blanchedalmond;
    border-radius: .8rem;
    overflow: hidden;
}
.table_header{
    width: 100%;
    height:10%;
    background-color: greenyellow;
    padding: .8rem 1rem;
    text-align: center;
   padding: 1px 1px;
}
.table_body{
    width: 95%;
    max-height: calc(89% - .8rem);
        background-color:background;
    margin: 1rem auto;
    overflow: auto;
    
}
.table_body::-webkit-scrollbar{
    width: 0.7rem;
    height:0.7rem;
    
}

.table_body::-webkit-scrollbar-thumb  {
    border-radius: .5rem;
    background-color: blueviolet;
    visibility: hidden;
    
}

.table_body:hover::-webkit-scrollbar-thumb  {
    visibility: visible;
    
}

table{
    width:80%;
    
}

thead th   {
    position:static;
    top: 0;
    left: 0;
    background-color: orange;
    
    
}

body tr:nth-child(even) {
    background-color: buttonshadow;
}

tbody tr:hover{
    background-color: gold;
}
a{
    text-decoration: none;
}
.orderlist{
    display: none;
}
.orderaddress{
    display: none;
}
/* Section 1 */
.section-1{
   width: 100%;
   height: 122px;
   background-color: white;
   box-shadow: 0 0 1px 1px;
   margin-top: 80px;
    
}
.section-1-container{
    width: 1280px;
    margin: 0 auto;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.section-1-item{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4px;
    font-size: 14px;
    font-weight: 500;
    align-items: center;
   
}
.section-1-item img {
    width: 64px;
    height: 64px;
    
    
}
/* Section-1 */

.slider{
    margin-top: 10px;
    width: 100%;
     
    
    
    display:flex;
    padding:20px 20px 0px 0px;
    
    border:solid 0px aqua;
    overflow: hidden;
}
.Slider_image{
    
    
    border:none;
    
    width: 100%;
    display: flex;
    margin: auto;
    
}


.sliderimg{
    height: 270px;
    
    min-width: 100%!important;
    padding: 0px 0px;
    border:none;
    
     
}
.btn-container {
    
   
    position: absolute;
    width: 100%;
    height: 270px;
    display:flex;
    justify-content: space-between;
    
    align-items: center;
    
    z-index: 6;
}
.btn1 {
    
   margin-right: 20px;
    padding: 30px 10px;
    font-size: 30px;
    border: none;
    border-radius: 5px;
    outline: none;
    
    
}



/*offer  */
.section-container-offer{
    margin-top: 50px!important;
}
.bestoffers-container{
    background-color: white;
    height: 380px;
    display:flex;
    justify-content: space-around;
    margin-bottom: 20px;
    width:auto;
}
.left-part{
    
    height: 100%;
    width: 79%;
    
}
.left-part1{
    
    height: 100%;
    width: 100%;
    
}

.left-top{
    display: flex;
    justify-content: space-between;
    padding:20px;
    height: 20%;
    background-color:linen;
    border: 0px solid aquamarine;
    
       
    
}
.leftpart-top-content{
    
    margin-top: 2px;
}
.leftpart-top-content h1{
    margin: 0;
    font-size: 1.6rem;
}
.leftpart-top-content p1{
    margin: 0;
    padding: 2px;
    
}
.ViewAll_Btn{
    background-color: blue;
    color: white;
    font-size: 1rem;
    font-weight: bold;
    text-transform: uppercase;
    border: none;
    padding: 9px 18px;
    border-radius: 2px;
    vertical-align: middle;
    
}
.leftpart-card-container {
    
    height: 80%;
    display: flex;
    
    background-color: white;
    position:relative;
    
    
}
.test22{
    box-shadow: 2px;
    display: flex;
    height: 100%;
    overflow: hidden;
    
}

.card_container{
    
    text-align: center;
    min-width: 215px;
    padding: 1px;
    height: 98%;
    margin-top: 5px;
    
    overflow: hidden;
    transition: transform 2s;
    
    
}

.card_container2{
    
    text-align: center;
    min-width: 215px;
    padding: 1px;
    height: 98%;
    margin-top: 5px;
    
    overflow: hidden;
    transition: transform 2s;
    
    
}

.card_container3{
    
    text-align: center;
    min-width: 215px;
    padding: 1px;
    height: 98%;
    margin-top: 5px;
    
    overflow: hidden;
    transition: transform 2s;
    
    
}

.card_container4{
    
    text-align: center;
    min-width: 215px;
    
    padding: 1px;
    height: 98%;
    margin-top: 5px;
    
    overflow: hidden;
    transition: transform 2s;
    
    
}

.cardproduct{
    height: 100%;
    
    
}
    



.cardproduct  img{
    height: 200px;
    padding-top: 15px;
    padding-bottom: 15px;
    width: auto;
}
.productImageContainer {
    height: 180px;
    max-width: 140px;
}

.card-product-name{
    margin: 10px 0;
    font-size: 1rem;
    text-overflow:ellipses;
    white-space: nowrap;
    cursor:pointer;
    z-index: 10;
    position: relative;
}

.card-product-price{
    margin: 1px 0;
    font-size: 0.8rem;
}
.card-prod-desc{
    margin: 1px 0;
    font-size: 0.7rem;
}
.right-part{
    background-color: greenyellow;
    height: 100%;
    width: 20%;
}
img{
    width: 100%;
    height: 100%;
}

.btn-container-offer{
    position: absolute;
    width: 100%;
    display:flex;
    justify-content: space-between;
    
    
    align-items: center;
    height: 100%;
    
}

.card-btn11-offer{
    padding: 30px 10px;
    font-size: 30px;
    border: none;
    border-radius: 5px;
    outline: none;
    z-index: 7;
}

/* endofseason */

.section-container-endofseason {
    margin-top: 50px!important;
}

/* product specification */
.container-product{
    margin-top: 37px;
}
.text-content{
    flex-basis: 45%;
}

.all-images{
    
    height: 80vh;
    
    display: flex;
    
    }
   
    .small-image1{
     display: flex;
     flex-direction: column;
     margin-top: 0px;
    }
    
    .small-image1 img {
        padding-top: 8px;
        height: 110px;
        width: 100px;
        margin-bottom: 9px;
        cursor: pointer;
        
        
        
        
    }
    .small-image2 img {
        padding-top: 8px;
        height: 110px;
        width: 100px;
        margin-bottom: 9px;
        cursor: pointer;
       
        
        
        
    }
    .small-image3 img {
        padding-top: 8px;
        height: 110px;
        width: 100px;
        margin-bottom: 9px;
        cursor: pointer;
        
        
        
        
    }
    .small-image4 img {
        padding-top: 8px;
        height: 110px;
        width: 100px;
        margin-bottom: 9px;
        cursor: pointer;
        
        
        
        
    }
    
   
    
    .small-image1 img:hover{
        opacity: 1;
    }
    
    .main-images{
        
        height: 80vh;;
        display: flex;
        width: 50%;
        margin-left: 100px;
        margin-top: 0px;
        
    }
    
    
     .small-image{
     display: flex;
     flex-direction: row;
     margin-top: 0px;
    }
    
    .small-image img {
        padding-top: 8px;
        height: 80px;
        width: 80px;
        margin-bottom: 9px;
        cursor: pointer;
        
        margin-left: 10px;
        margin-right: 10px;
        
        
        
    }
    
    .colour-image{
     display: flex;
     flex-direction: column;
     margin-top: 0px;
    }
    
    .colour-image img {
        padding-top: 8px;
        height:  80px;
        width:  80px;
        margin-bottom: 9px;
        cursor: pointer;
    }
    
    .size{
        display: flex;
    }
    .psize {
        width: 80px;
        height: 60px;
        border: 0px solid #ff5e00;
        color: #000;
        text-align: center;
        align-content: center;
        margin: 0 10px;
        cursor: pointer;
        background-color: peachpuff;
        border-radius: 90%;
        
    }
    

    p{
        margin-bottom: 20px;
    }
    .brand{
        background-color: green;
        width: fit-content;
        font-size: 12px;
        color: white;
        padding: 2px 5px;
    }
    
    
     .review{
        
        display: inline-block;
        
        border-radius: 5px;
        padding: 4px;
     }
        
        
    
    .review .fa{
        color: orange;
        font-weight: 600;
        font-size: 15px;
        
    }
    
    .shopping-cart1  {
        width: 130px;
        color: white;
        font-size: 15px;
        outline: none;
        border: none;
        border-radius: 5px;
        padding: 10px 15px;
        box-sizing: border-box;
        cursor: pointer;
        background-color: orange!important;
        
    }    
    
    .shopping-cart2  {
        width: 130px;
        color: white;
        font-size: 15px;
        outline: none;
        border: none;
        border-radius: 5px;
        padding: 10px 15px;
        box-sizing: border-box;
        cursor: pointer;
        background-color: orange!important;
        
    }    
    .product-box{
        
        background-color:white;
        
    }
    
    .product-name {
        font-size: 2rem;
        text-transform: capitalize;
        font-weight: 700;
        position: relative;
        color:#12263a;
        margin: 10px;
        
    }    
    .product-name::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        margin-bottom: -10px;
        height: 4px;
        width: 100px;
        background: #12263a;
        
        
        
    }
    .product-detail{
        margin:20px 10px;
        display: flex;
        justify-content: flex-start;
        
        
    }
    .product-sp {
        margin-left: 10px;
        
    }
    .shopping-cart1{
        margin-left: 10px;
    }
    .shopping-cart2{
        margin-left: 10px;
    }
    
    .btn-pin{
        
        width: 160px;
        color: white;
        font-size: 15px;
        outline: none;
        border: none;
        border-radius: 5px;
        padding: 10px 15px;
        box-sizing: border-box;
        cursor: pointer;
        background-color:cornflowerblue!important;
        display: inline;
    }
    
   .section-upperbar2 {
   width: 100%;
   
  background-color: white!important;
   margin-top: 80px;
    
}
.breadcrumb {
    background-color: white!important;
    margin-top: 40px;
}
.navbar-nav{
    width: 100%;
    justify-content: space-between;
}
.filter-condition{
    margin-top: 10px;
    padding: 20px;
    height: 100px;
    font-size: 20px;
    font-weight: bold;
    text-align: right;
}

/* upperbar2  */

/* login page*/

.button-box{
    width: 420px;
    margin: 35px auto;
    position: relative;
    box-shadow: 0 0 20px 9px #ff61241f;
    border-radius: 30px;
    
}
.toggle-btn{
    padding: 10px 30px;
    cursor: pointer;
    background: transparent;
    border: 0;
    outline: none;
    position: relative;
}
#btn{
    top:0;
    left:0;
    position: absolute;
    width: 210px;
    height: 100%;
    background: linear-gradient(to right, #ff105f, #ffad06);
    border-radius: 30px;
    transition: .5s;
    }
.input-group{
    top:100px;
    position: absolute!important;
    width: 280px;
    transition: .5s;
}
.input-field{
    width: 100%;
    padding: 10px 0;
    margin: 5px 0;
    border-left: 0;
    border-right: 0;
    border-top: 0;
    border-bottom: 1px solid #999;
    outline: none;
    background: transparent;
    
}
.submit-btn{
    width: 25%;
    padding: 10px 30px;
    cursor: pointer;
    display: block;
    
    margin: auto;
    background: linear-gradient(to right, #ff105f, #ffad06);
    border: 0;
    outline: none;
    border-radius:  30px
}
.form-box{
    width: 600px;
    height:400px;
    position: relative;
    margin: 6% auto;
    background: #fff;
    padding:5px;
    overflow: hidden;
}

#login{
    left: 50px;
}
#register{
    right: 650px;
}
.hero{
    height: 100%;
    width: 100%;
    background-image: linear-gradient(rgba(0,0,0,0.4),rgba(0,0,0,0.4)),url(img/andy-hermawan-uFdCDgnoNVI-unsplash);
}

#loading {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}


@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.wrapper{
    height:30px;
    max-width:200px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: buttonface;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    margin-bottom: 20px;
}
.wrapper span{
    width: 100%;
    text-align: center;
    font-size: 30px;
    font-weight: 200;
    align-items: center;
}
.wrapper span.num{
    font-size: 20px;
    border-right: 2px solid rgba(0,0,0,0.2);
    border-left: 2px solid rgba(0,0,0,0.2);
}
.button-container{
    display:flex;
    align-items: center;
}
.button-container .form-control {
    max-width: 80px;
    text-align: center;
    display: inline-block;
    margin: 0px 5px;
}
.cart-qty-plus, cart-qty-minus{
    width: 38px;
    height: 38px;
    background-color: #fff;
    border:1px solid #ced4da;
    border-radius: .25rem;
}

.cancellation {
    height: 200px;
    background-color: #9c9a99;
}